GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
xinclude_parsing_data Struct Reference

## Public Member Functions
| xinclude_parsing_data (std::string &output_, xml_fetch_another fetcher_, void *fetcher_baton_, int include_depth_)

## Public Attributes
std::string & | output
int | skip_depth
int | include_depth
xml_fetch_another | fetcher
void * | fetcher_baton

## Detailed Description

Definition at line 772 of file xml-support.c.

## Constructor & Destructor Documentation

## ◆ xinclude_parsing_data()

xinclude_parsing_data::xinclude_parsing_data | ( | std::string & | output_,
|  | xml_fetch_another | fetcher_,
|  | void * | fetcher_baton_,
|  | int | include_depth_
| ) |  |
| inline

Definition at line 774 of file xml-support.c.

## Member Data Documentation

## ◆ fetcher

xml_fetch_another xinclude_parsing_data::fetcher

Definition at line 799 of file xml-support.c.

Referenced by xinclude_start_include().

## ◆ fetcher_baton

void* xinclude_parsing_data::fetcher_baton

Definition at line 800 of file xml-support.c.

Referenced by xinclude_start_include().

## ◆ include_depth

int xinclude_parsing_data::include_depth

Definition at line 795 of file xml-support.c.

Referenced by xinclude_start_include().

## ◆ output

std::string& xinclude_parsing_data::output

Definition at line 785 of file xml-support.c.

Referenced by xinclude_start_include(), and xml_xinclude_default().

## ◆ skip_depth

int xinclude_parsing_data::skip_depth

Definition at line 791 of file xml-support.c.

Referenced by xinclude_end_include(), xinclude_start_include(), xml_xinclude_default(), xml_xinclude_end_doctype(), and xml_xinclude_start_doctype().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/xml-support.c